%global srcname pyrad

Summary:        Python RADIUS client
Name:           python-pyrad
Version:        2.4
Release:        5%{?dist}
License:        BSD
URL:            https://github.com/wichert/pyrad
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
pyrad is an implementation of a RADIUS client as described in RFC2865. It takes care of all the
details like building RADIUS packets, sending them and decoding responses.

%package -n python3-%{srcname}
Summary:       Python RADIUS client
BuildRequires: python3-devel python3-netaddr python3-setuptools python3-six
Requires:      python3-netaddr python3-six python3-twisted

%description -n python3-%{srcname}
pyrad is an implementation of a RADIUS client as described in RFC2865. It takes care of all the
details like building RADIUS packets, sending them and decoding responses.

%prep
%autosetup -n %{srcname}-%{version} -p1
chmod 644 example/acct.py example/auth.py example/server.py

%build
%py3_build

%install
%py3_install

%check
%{__python3} -m unittest -v

%files -n python3-%{srcname}
%license LICENSE.txt
%doc CHANGES.rst README.rst example/
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 17 2023 Shuo Wang <abushwang@tencent.com> - 2.4-1
- initial build
